polybori::CacheManager< CacheType > Class Template Reference

`#include <CacheManager.h>`

Inheritance diagram for polybori::CacheManager< CacheType >:

## Public Types

typedef CCacheManagement < BoolePolyRing, CacheType, CacheType::nargs > | base
| Define base type. More...
typedef base::manager_type | manager_type
Public Types inherited from polybori::CCacheManagement< BoolePolyRing, CacheType, CacheType::nargs >
typedef CCacheManBase < manager_type, cache_type, nargs > | base
| Name base type. More...
typedef base::node_type | node_type
| Extracting inherited node type. More...
enum |
typedef BoolePolyRing | manager_type
typedef manager_type::deg_type | deg_type
typedef manager_type::size_type | size_type
typedef manager_type::idx_type | idx_type
typedef CacheType | cache_type

## Public Member Functions

| CacheManager (const manager_type &mgr)
| Constructor. More...
| ~CacheManager ()
| Destructor. More...
Public Member Functions inherited from polybori::CCacheManagement< BoolePolyRing, CacheType, CacheType::nargs >
| CCacheManagement (const manager_type &mgr)
| Constructor and default constructor. More...

## Member Typedef Documentation

template<class CacheType>

typedef CCacheManagement<BoolePolyRing, CacheType, CacheType::nargs> polybori::CacheManager< CacheType >::base

Define base type.

template<class CacheType>

typedef base::manager_type polybori::CacheManager< CacheType >::manager_type

## Constructor & Destructor Documentation

template<class CacheType>

polybori::CacheManager< CacheType >::CacheManager | ( | const manager_type & | mgr) |  |

inline

Constructor.

template<class CacheType>

polybori::CacheManager< CacheType >::~CacheManager | ( | ) |  |

inline

Destructor.

The documentation for this class was generated from the following file:

- CacheManager.h